summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-10 12:37:17 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-10 12:37:17 +0000
commit0c90899e1f03b941b59e16570b16adbb3c23ec12 (patch)
treee210cfa0a508ab73cada0386742d1736f5724119 /dev-python
parentc62b6672204b552532fb1cc0899aca2a2a905cc5 (diff)
downloadbaldeagleos-repo-0c90899e1f03b941b59e16570b16adbb3c23ec12.tar.gz
baldeagleos-repo-0c90899e1f03b941b59e16570b16adbb3c23ec12.tar.xz
baldeagleos-repo-0c90899e1f03b941b59e16570b16adbb3c23ec12.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.23.12.ebuild56
-rw-r--r--dev-python/python-stdnum/Manifest1
-rw-r--r--dev-python/python-stdnum/python-stdnum-1.14.ebuild22
-rw-r--r--dev-python/quex/Manifest1
-rw-r--r--dev-python/quex/files/quex-0.70.0-gentoo.patch11
-rw-r--r--dev-python/quex/quex-0.70.0.ebuild50
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-49.3.0.ebuild71
9 files changed, 214 insertions, 0 deletions
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index f27189dafde0..5e42bbbc7a06 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,4 +1,5 @@
DIST hypothesis-python-4.57.1.tar.gz 9005030 BLAKE2B 3d318896cbe2d24fa6847e764a109791d3acf3821852f8e170991b0be5b069f166e16bdacf7a82fbe49bd9db5188315cdec7cdb4592647571233949ec5732991 SHA512 28622ce8a1d89d09df65f3fbf7e92a1ad98dac140ab646fe11fcb15e6aa9a9672eb51d459f984384d92b819f902de911b06cec2542582d529dd556d2f99ed952
DIST hypothesis-python-5.16.3.tar.gz 9011952 BLAKE2B d74a68c4ee1e5aacf4be1da5a4656011b0a15f990106c21298101d36e9a097c5dfd165987ad90a45f3a0b74375c4da609cd750f618242b94f34e03b6de0ee866 SHA512 912d984995d4ad8f06e98eb2cc327629328990fc1c072527ce261b637e16622acaf4d0d93928f9dd2d6601ab78f69aa6cf129d5cd7c1c00e50754ebc06957df0
DIST hypothesis-python-5.21.0.tar.gz 9025422 BLAKE2B acd6f3b0f945ae65656af2a718add06fe440e221fda7793e3557ab194ccee4c6327e7946a58ce51e9efe3c08274888a648d9021c49fdcf663a04c28b99a0f636 SHA512 1921e5ea8d0f2a6e55d80611004d35671f7a7a02cb8a8f101b45e64e4ef23f9c2c8a9c467fb6c9f33ae440622020e1ad504f51a7d725a6449ca715ad1f373e40
+DIST hypothesis-python-5.23.12.tar.gz 9040323 BLAKE2B 2cef5fd59419ad7522693f543bfecb1a829158ee07a3d31ab023f08ccc10f97c5e24dc14daee2d0447c10bc9e44d784335edd667771e693e82e99a93c58bb11f SHA512 8a7c7df518a5cbb5ddd16793a742077adfef68244021487fd97efd6fb1b6c743760c01b4f5a7613c30308a38370d1ede5f7f77c2fcda4ae90f928d36c7bebc4f
DIST hypothesis-python-5.23.9.tar.gz 9041210 BLAKE2B e1f121a81cbdf14e1216e3c22eb3afd6997908efbe2ebedc14e3eeb2cbdfaf9efbbdd3d40c6ae4b644d37c13ba18e1aec39f945158d731a413d2933d6da204a8 SHA512 9093005589643c185dbea8c8ee5fd2e9c23c37fe6dc0798dfcbd2afe57d97f652fb1c10d7b482e3fb333499639de1796ac2d091e7e7f41e1c88ac14aed337a31
diff --git a/dev-python/hypothesis/hypothesis-5.23.12.ebuild b/dev-python/hypothesis/hypothesis-5.23.12.ebuild
new file mode 100644
index 000000000000..37f9e736953e
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.23.12.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+src_prepare() {
+ # avoid pytest-xdist dep for one test
+ sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+ tests/pytest/test_statistics.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/python-stdnum/Manifest b/dev-python/python-stdnum/Manifest
index 257d9988cc66..ce2986d99cb9 100644
--- a/dev-python/python-stdnum/Manifest
+++ b/dev-python/python-stdnum/Manifest
@@ -1 +1,2 @@
DIST python-stdnum-1.13.tar.gz 893897 BLAKE2B e901a0b56d8ca4bcc25eade617af80bffce8f4b49a94dadefa7cf252edf567d01267256d3eaee77f01e41a99c0ffb26c80de1092f6437efdea2f115a9e997c80 SHA512 91bc476c0fec49627b772c43f031bcdfea044385256817d76a2fcff3aa76f26e85d308aab5262a682d54f67a1851907074b21d260e687f81c733326c40a0e0cf
+DIST python-stdnum-1.14.tar.gz 953637 BLAKE2B 5772fd2284dc9c255b544c6f0d1f4d1ebbaa48547cf1ba9aafb082a4d649ce90574444b298a333c9fbac5e232d2ea144f2e5bbd817fb6e7b78ea66081ed871b2 SHA512 d17643a2e4d8efc5f554c9c114399802e6dae0ff60b6ab0e32ebf6ece7c87a96287dd1c2e68e4fcd97f8ab475a267de5dad41d726470690255a2a0aeddedbb8e
diff --git a/dev-python/python-stdnum/python-stdnum-1.14.ebuild b/dev-python/python-stdnum/python-stdnum-1.14.ebuild
new file mode 100644
index 000000000000..78744c941e75
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-1.14.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="https://arthurdejong.org/python-stdnum/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="vies"
+
+RDEPEND="vies? ( || ( dev-python/zeep dev-python/suds ) )"
+
+DOCS=( ChangeLog NEWS README )
+
+distutils_enable_tests nose
diff --git a/dev-python/quex/Manifest b/dev-python/quex/Manifest
index 28b6c4074ede..f082def745cb 100644
--- a/dev-python/quex/Manifest
+++ b/dev-python/quex/Manifest
@@ -1 +1,2 @@
DIST quex-0.65.4.tar.gz 2202154 BLAKE2B 6b273998c9641aeee458291245a4fb956b5fe9b66d8c42f0c1d9b360a4d171c830a1d487bcbab9ccea49d10b7532ed488ce66dc165f31cce9521f97c5a4575f4 SHA512 0b11d7e5c5165674626fbbe7f54853656c579c63b78bd2fef2f5a9b316171dc647812d9a37df4e7c49c05de11a307b6425089f4ab281affb6c03a9cf09e2a035
+DIST quex-0.70.0.7z 2002636 BLAKE2B 16082ed6fc96e63917bcd221fc0902194900a55dcf4778661c159f1fc89282d8e5b7bc0125ebf90419bfd7c671be87cf485e6db29b8159d9f382e61996a9a16e SHA512 8c1687e33c31b3f0910e74146dcd0a0413250357240c1ee28d0df6d7fca918d4577dbab4f78cecdd82133475226e795a66fbcdccedf086aaf88cd225bfbbd935
diff --git a/dev-python/quex/files/quex-0.70.0-gentoo.patch b/dev-python/quex/files/quex-0.70.0-gentoo.patch
new file mode 100644
index 000000000000..c110c4bdb24d
--- /dev/null
+++ b/dev-python/quex/files/quex-0.70.0-gentoo.patch
@@ -0,0 +1,11 @@
+--- a/quex/DEFINITIONS.py 2017-12-13 21:48:52.887765325 +0100
++++ b/quex/DEFINITIONS.py 2017-12-13 21:52:29.805877359 +0100
+@@ -57,7 +57,7 @@
+ global QUEX_INSTALLATION_DIR
+
+ # -- Try to acces the file 'quex-exe.py' in order to verify
+- if os.access(QUEX_INSTALLATION_DIR + "/quex-exe.py", os.F_OK) == False:
++ if False:
+ print "error: Environment variable 'QUEX_PATH' does not point to"
+ print "error: a valid installation directory of quex."
+ print "error: current setting of 'QUEX_PATH':"
diff --git a/dev-python/quex/quex-0.70.0.ebuild b/dev-python/quex/quex-0.70.0.ebuild
new file mode 100644
index 000000000000..17e7115516bd
--- /dev/null
+++ b/dev-python/quex/quex-0.70.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="Mode Oriented Directly Coded Lexical Analyser Generator"
+HOMEPAGE="https://sourceforge.net/projects/quex/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.7z"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}"
+BDEPEND="${RDEPEND}"
+DEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s:@PYTHON_SITEDIR@:$(python_get_sitedir):g" \
+ quex/DEFINITIONS.py || die
+ mkdir -p engine/codec_db/unicode || die
+ mv quex/engine/codec_db/database engine/codec_db/ || die
+ mv quex/engine/codec_db/unicode/database engine/codec_db/unicode/ || die
+ mv quex/code_base . || die
+}
+
+src_install() {
+ default
+ insinto /usr/share/quex/
+ doins -r engine
+ doins -r code_base
+
+ python_domodule quex
+ python_newscript quex-exe.py quex
+ doman manpage/quex.1
+ dodoc -r demo
+ insinto /etc/profile.d/
+ doins "${FILESDIR}"/quex.sh
+}
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 69a32fb7790e..6e43b248104a 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -3,3 +3,4 @@ DIST setuptools-46.4.0.zip 865912 BLAKE2B 452d36132f5648c79c7e1616a93ff6a39ab2f6
DIST setuptools-49.1.1.zip 2173825 BLAKE2B 44a23a2bb8613b2dcf2368997c7d89ffbd957d7004c1872bbb64631955e5e8ed2f14a49d16fff4c384c42d56b486eb2ee07f2a3e3e72add97502f39309a17fee SHA512 d33c291edb64d015530e3bd66666a612539896018c5f6b6eff65719339ec75967c4f6200be36a60955f885ebc4cb86f9acd5f52d8fd2e1fb1e4919488a986603
DIST setuptools-49.2.0.zip 2174648 BLAKE2B 03d4d2f4df5e20a39bdf8940610e0e0ad02566bc594ba90f58f476a90882dff32f1126eb02a797027d126e45f0e3092d848214e4d28292850b5042a23cdfe6ea SHA512 72de34b2000fba981eb186b612a6b7ccec920c480966ebec4e178dc024db5628aeefde778c1bbd7dae9d38ae86aa9384a1b7d86f9c358429742daeba72ba9850
DIST setuptools-49.2.1.zip 2173295 BLAKE2B c80cb7bc0e278e38cdaa87f32684476f1e72b69171213ef6019631011d735de62149635471a87791ffb665afdef0a3b70b57b4275cc4ff6bff8cc3c488229931 SHA512 daa4096d079eef9b234c854ae404a2b0f6f3034008f4c3119b0412adc1cbbbff936c518c8e3aeadaed67426ad83bb651681d63352520910833c5b919147f0fb6
+DIST setuptools-49.3.0.zip 2175616 BLAKE2B bc46992660adbf5aeafa0c3e93c9fa598c6ec61ed379fe07f97d43b77274ce27829bfaac6e706cb943e5e7a5a8e5e2b09551178c04e20af86fa8732d809753be SHA512 954b192b1d3a9deb8b8c9fb7d834d139a630d1951585f7ce9747c65b191c0bbd4747c8840b6297eb20a3755207333e9d921bca5b303ed8de757ddd28fd0b5e07
diff --git a/dev-python/setuptools/setuptools-49.3.0.ebuild b/dev-python/setuptools/setuptools-49.3.0.ebuild
new file mode 100644
index 000000000000..a61f20db2bab
--- /dev/null
+++ b/dev-python/setuptools/setuptools-49.3.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ app-arch/unzip
+ test? (
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+ # disable tests requiring a network connection
+ rm setuptools/tests/test_packageindex.py || die
+
+ # don't run integration tests
+ rm setuptools/tests/test_integration.py || die
+
+ # xpass-es for me on py3
+ #sed -e '/xfail.*710/s:(:(six.PY2, :' \
+ # -i setuptools/tests/test_archive_util.py || die
+
+ # avoid pointless dep on flake8
+ sed -i -e 's:--flake8::' -e 's:--cov::' pytest.ini || die
+
+ # disable the code disabling non-existing coverage plugin
+ sed -i -e 's:cov = .*:return:' conftest.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" pytest -vv ${PN} || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+ export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+ distutils-r1_python_install
+}